# Token Prices

The **Panora Price API** provides real-time price data for tokens on the **Aptos** chain, making it easy for developers to integrate accurate pricing information into their dApps.

### Key Features

* **Real-Time Price Feeds:** Get up-to-date token prices for accurate trading and analysis.
* **Wide Token Coverage:** Supports all tokens tradable on the Aptos mainnet network.

### Accessing the Token Prices

The Token Prices can be accessed through the public [API endpoint](https://api.panora.exchange/prices)

* **Public API Key**:

  ```
  a4^KV_EaTf4MW#ZdvgGKX#HUD^3IFEAOV_kzpIE^3BQGA8pDnrkT7JcIy#HNlLGi
  ```

  ***Note:** This API key's limits should be sufficient for most use cases. Protocols within the Aptos ecosystem with specific requirements or customization may submit a ticket on Discord.*&#x20;

**API Usage Example:**

<mark style="color:green;">`GET`</mark> `https://api.panora.exchange/prices`

```javascript
const end_point = "https://api.panora.exchange/prices"

const query = {
  tokenAddress: "0xa",
}

const headers = {
  "x-api-key":
    "a4^KV_EaTf4MW#ZdvgGKX#HUD^3IFEAOV_kzpIE^3BQGA8pDnrkT7JcIy#HNlLGi",
}

const queryString = new URLSearchParams(query)
const url = `${end_point}?${queryString}`

const response = await(
  await fetch(url, {
    method: "GET",
    headers: headers,
  })
).json()
```

#### Query **Parameter**

* **chainId** *(string, optional)*: The chain ID associated with the token (Default: 1 for Aptos Mainnet).
* **tokenAddress** *(string, optional)*: Comma-separated list of coin (legacy) and / or FA addresses. The API returns the price information for the specified tokens. If not provided, the query will return prices of all tokens having liquidity above a nominal threshold.
* **panoraUI** *(boolean, optional)*: If set to true, only tokens that are visible on the Panora UI are returned. Set as true, false to get prices for all available tokens. Default is true.
* **panoraTags** *(string, optional)*: Returns tokens based on their associated tags. All available tags are listed under the **'Panora Tags'** section at the start of Token List page.

**Token Price Response**

The response object contains the following fields:

* **chainId:** The chain ID associated with the token (Default: 1 for Aptos Mainnet)
* **panoraId**: A unique id given to all tokens by Panora
* **tokenAddress:** The complete address of the token as per the Aptos Coin Standard (Legacy)
* **faAddress:** The complete address of the token as per the Aptos Fungible Asset (FA) Standard
* **name:** The on-chain registered name of the token
* **symbol:** The on-chain registered symbol of the token
* **decimals:** The number of decimal places of the token
* **panoraSymbol:** Similar to symbol, but with prefixes based on the bridge: `lz` for LayerZero, `wh` for Wormhole, and `ce` for Celer
* **usdPrice:** The latest usd price of the token
* **nativePrice:** The latest price of the token relative to the native token
* **priceChange24H:** The percentage change in price over 24 hours
* **panoraUI:** When set to true, displays the token name and logo on the Panora interface.
* **panoraTags:** Lists the tags associated with the token.

**Example Response**

```json
{
        "chainId": 1,
        "panoraId": "a1-hexao-APT",
        "tokenAddress": "0x1::aptos_coin::AptosCoin",
        "faAddress": "0xa",
        "name": "Aptos Coin",
        "symbol": "APT",
        "decimals": 8,
        "panoraSymbol": "APT",
        "usdPrice": "1.84326943",
        "nativePrice": "1",
        "priceChange24H": "-9.71414232",
        "panoraUI": true,
        "panoraTags": [
            "Native",
            "Verified"
        ]
    }
```

### **Attribution**

Kindly include proper attribution when using the API in projects or presentations. Mention *“Powered by Panora”* wherever applicable.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.panora.exchange/developer/token-prices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
